Retrieves the skill with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
skill| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| name |
Name of the skill |
string |
Required Max length: 255 |
| description |
Description of the skill |
string |
Max length: 4000 |
| code |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 255 |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating skill |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating skill |
sales_organization | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "cf272814-76f6-4b06-93a0-f50d35dd6f8c",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"sales_organization_id": "a27ae1a2-c6ac-46f9-bc5a-2512f2b7c2eb",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "95fc784d-c87b-478c-aaa2-14afc8616291",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "9e49f6b5-8710-419f-8195-f552114d48ed",
"db_currency_id": "33cc0ed3-2b7b-41ab-85b2-92a8f378c1bf",
"db_language_id": "9b4e0014-3e4c-4610-8feb-1086781a72c4",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-04-19T20:05:58.7114189+00:00"
},
"modified_dateutc": "2026-04-19T20:05:58.7114189+00:00"
}